@goto SKIPHEADER
/********************************* demo1.bat *******************************\
* 									    *
* Module   : Demo1							    *
* Descript : Batch file to display all Compulsories			    *
* Project  : KiteFlight							    *
* Modified : 29-Jan-1994 (Sat 18:28)					    *
* 									    *
* (c) 1994 by Peter van den Hamer					    *
* 									    *
\***************************************************************************/

    This batch file displays some AKA/STACK compulsories.
    These compulsories were programmed by Simo Salanne of STACK Finland.
    One cycle through all 17 compulsories takes about 6 minutes.

Usage:	
	demo1 [/nopause]

	where /nopause  is optional switch to suppress PAUSE	

:SKIPHEADER
@echo off
cls

if exist .\_demo1_.bat goto OK1
   echo Error: Cannot find support file _demo1_.bat in current directory!
   goto ERROR

:OK1
if exist .\kfd.exe goto OK2
if exist .\kf.exe goto OK2
   echo Error: Cannot find KiteFlight (kfd.exe or kf.exe) in current directory!
   goto ERROR

:OK2
   if exist .\kf.exe echo Using normal (non-demo) version of KiteFlight.
   if exist .\compulsr\i11.kf1 goto OK3
   echo Error: Cannot find subdirectory COMPULSR (with Ixx.KF1 and Txx.KF1 files)!
   goto ERROR

:OK3
if "%1"=="" goto START
if "%1"=="/nopause" goto :OK4
   echo Error: Illegal option (%1)
   goto ERROR

:OK4
   echo /nopause mode selected:
   echo Remainder of script will be executed without comments or pauses.
   pause

:START
cls

Rem Following compulsories can be run on demo version of KiteFlight
   call .\_demo1_.bat kfd compulsr\i11 %0 %1
   call .\_demo1_.bat kfd compulsr\i06 %0 %1
   call .\_demo1_.bat kfd compulsr\i16 %0 %1
   call .\_demo1_.bat kfd compulsr\i26 %0 %1
   call .\_demo1_.bat kfd compulsr\i32 %0 %1

   call .\_demo1_.bat kfd compulsr\t01 %0 %1
   call .\_demo1_.bat kfd compulsr\t02 %0 %1
   call .\_demo1_.bat kfd compulsr\t03 %0 %1
   call .\_demo1_.bat kfd compulsr\t05 %0 %1
   call .\_demo1_.bat kfd compulsr\t06 %0 %1
   call .\_demo1_.bat kfd compulsr\t07 %0 %1
   call .\_demo1_.bat kfd compulsr\t09 %0 %1
   call .\_demo1_.bat kfd compulsr\t10 %0 %1
   call .\_demo1_.bat kfd compulsr\t11 %0 %1
   call .\_demo1_.bat kfd compulsr\t12 %0 %1
   call .\_demo1_.bat kfd compulsr\t13 %0 %1
   call .\_demo1_.bat kfd compulsr\t14 %0 %1

Rem Following compulsories currently need non-demo version of KiteFlight
if not exist .\kf.exe goto END
   call .\_demo1_.bat kf  compulsr\i28 %0 %1
   call .\_demo1_.bat kf  compulsr\i36 %0 %1
   call .\_demo1_.bat kf  compulsr\t04 %0 %1
   call .\_demo1_.bat kf  compulsr\t08 %0 %1
   call .\_demo1_.bat kf  compulsr\t20 %0 %1
   call .\_demo1_.bat kf  compulsr\t21 %0 %1

:END
rem Change following line to 'goto START' for an infinite loop demo
rem goto START

:ERROR
